%define oname   rb-inotify

Name:       ruby-%{oname}
Version:    0.10.1
Release:    %mkrel 1
Summary:    A Ruby wrapper for Linux's inotify, using FFI
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/nex3/rb-inotify
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby wrapper for Linux's inotify, using FFI

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Mar 28 2020 pterjan <pterjan> 0.10.1-1.mga8
+ Revision: 1561700
- Update to 0.10.1

* Fri Feb 14 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1522563
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 0.10.0-1.mga7
+ Revision: 1360782
- Update to 0.10.0

* Fri Sep 21 2018 umeabot <umeabot> 0.9.10-2.mga7
+ Revision: 1291205
- Mageia 7 Mass Rebuild

* Sat Aug 19 2017 pterjan <pterjan> 0.9.10-1.mga7
+ Revision: 1141727
- Update to 0.9.10

* Sat Aug 06 2016 neoclust <neoclust> 0.9.7-1.mga6
+ Revision: 1044794
- New version 0.9.7

* Sun Dec 20 2015 pterjan <pterjan> 0.9.5-1.mga6
+ Revision: 912367
- imported package ruby-rb-inotify

